%def_with info
%def_without admin
%def_without cfg

%define bname ltsp
Name: %bname-utils
%define ver 0.25
%define rel 0
Version: %ver.%rel
Release: alt0.1
Summary: Utilities for LTSP server
License: GPL
Group: Networking/Other
URL: http://www.%bname.org
Source0: ftp://%bname.mirrors.tds.net/pub/%bname/tarballs/%name-%ver-%rel.tar.bz2
Source1: %{bname}info-sound.sh
BuildArch: noarch
%{?_with_info:Provides: %{bname}info = %version-%release}
%{?_with_admin:Provides: %{bname}admin = %version-%release}
%{?_with_cfg:Provides: %{bname}cfg = %version-%release}

%description
This package includes the following utilities for LTSP server:
%if_with info
%{bname}info  - for querying the workstation, to learn things, such as
            which sound daemon is being used.
%endif
%{?_with_admin:%{bname}admin - for installing and managing the packages on an LTSP server}
%{?_with_cfg:%{bname}cfg   - for configuring the services on an LTSP server}


%prep
%setup -n %name


%build


%install
%if_with info
install -pD -m 0755 %{bname}info %buildroot%_bindir/%{bname}info
install -pD -m 0755 %SOURCE1 %buildroot%_sysconfdir/profile.d/%{bname}info-sound.sh
%endif
%{?_with_admin:install -pD -m 0755 %{bname}admin %buildroot%_sbindir/%{bname}admin}
%{?_with_cfg:install -pD -m 0755 %{bname}cfg %buildroot%_sbindir/%{bname}cfg}
bzip2 --best --keep --force ChangeLog


%files
%doc ChangeLog*
%if_with info
%_bindir/%{bname}info
%_sysconfdir/profile.d/*
%endif
%{?_with_admin:%_sbindir/%{bname}admin}
%{?_with_cfg:%_sbindir/%{bname}cfg}


%changelog
* Thu Apr 26 2007 Led <led@altlinux.ru> 0.25.0-alt0.1
- initial build
- added %{bname}info-sound.sh
